

<div class='no-gutters'>
  <div class='headline'>
    <svg class="profile-pic" [data-jdenticon-value]="currentUsername"></svg>
    <span>
      <i (click)="onNewRoomClick()" class='material-icons headline-i'>post_add</i>
    </span>
  </div>

  <div [ngClass]="(newRoomClicked)?'show':'hidden'">
    <div class='newRoom-overlay'>
      <app-create-chatroom  [allChatUsers] = "allChatUsers | async"></app-create-chatroom>
    </div>
  </div>

  <div [ngClass]="(newRoomClicked)?'hidden':'show'">
    <div class='scrollable-col chat-headers'>
      <div *ngFor='let header of chatHeaders | searchfilter:searchInput '>
        <div class="chat-header" (click)="onChatHeaderClick({chatRoomId: header._id, chatRoomName: header.name})">
          <svg id="svg-{{header.name}}" class="profile-pic-smaller" [data-jdenticon-value]="header.username"></svg>

          <div class='chat-header-text'>
            <p class='chat-header-room-name'>{{header.name}}</p>

            <p class='chat-header-username'>{{header.username}}</p>
            <p class='text-muted chat-header-last-message'>{{header.lastMessage}}</p>
          </div>
          <p class="chat-header-time text-muted small">{{ header.time | date : 'HH:mm'}}</p>

        </div>

        <hr class='chat-header-breakline'>
      </div>
    </div>

    <div class='search'>
      <div class="search-input">
        <i class='material-icons search-input-i'>find_in_page</i>
        <input [(ngModel)]='searchInput' class='search-input-text' placeholder="Pretraži.." type="text">
      </div>
    </div>
  </div>
</div>
